Bug 1312460 - Emulex Boards Deprecated List for RHEL 7.2 Release Notes
Emulex Boards Deprecated List for RHEL 7.2 Release Notes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-en-US (Show other bugs)
7.2
All Linux
unspecified Severity unspecified
: alpha
: ---
Assigned To: Lenka Špačková
RHEL DPM
: Documentation
Depends On:
Blocks: 1572692 1573217 1598366
  Show dependency treegraph
 
Reported: 2016-02-26 13:19 EST by Laurie Barry
Modified: 2018-07-05 04:40 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1572692 (view as bug list)
Environment:
Last Closed: 2016-03-27 12:11:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurie Barry 2016-02-26 13:19:31 EST
During RHEL7.2 I filed a release note for deprecating BE2 devices but I incorrectly only listed the FCoE protocol flavor of that device.  

This bug requests Red Hat to update the release note in RHEL7.3 to reflect that the NIC and iSCSI protocol flavors should also be deprecated therefore the complete list looks like this...

CHAPTER 30. DEPRECATED FUNCTIONALITY IN FUTURE RELEASES

The following Emulex boards will be deprecated after Red Hat Enterprise Linux 7 and will likely not be supported in the next major release:
Table 30.1. Deprecated Emulex Boards

BladeEngine 2 (BE2) Devices
0x0704	TIGERSHARK FCOE
0x0700  TIGERSHARK NIC
0x0702  TIGERSHARK ISCSI

thank you
Laurie
Comment 1 Laurie Barry 2016-02-26 13:21:29 EST
Note the original RHEL7.2 doc BZ was 1258044.

thank you
Laurie
Comment 3 Lenka Špačková 2016-02-29 12:16:22 EST
Hi Laurie, 
Thanks a lot for this catch. Do you want me to republish the RHEL 7.2 Release Notes with this fix as well?
Comment 4 Lenka Špačková 2016-03-27 12:11:55 EDT
Hi Laurie,
I have republished RHEL 7.2 Release Notes, so I fixed also this. I will carry over this fix to RHEL 7.3. I have also added an explanation of deprecated functionality.

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.2_Release_Notes/chap-Red_Hat_Enterprise_Linux-7.2_Release_Notes-Deprecated_Functionality-in-RHEL-7.html
Comment 5 Maurizio Lombardi 2016-04-04 02:48:24 EDT
Hi Laurie,

For be2iscsi, we're going to mark as deprecate the following PCI IDs:

BE_DEVICE_ID1, PCI ID 0x212
OC_DEVICE_ID1, PCI ID 0x702
OC_DEVICE_ID2, PCI ID 0x703

I don't know the real name of the devices behind these IDs, with the exception of 0x702 which is TIGERSHARK ISCSI.

How do you want to present the deprecation of these devices in our release notes?
Comment 6 Laurie Barry 2016-04-04 13:44:26 EDT
Maurizio,

Please be careful here, you have typos.

BE_DEVICE_ID1, PCI ID 0x212
^^^^^^^^^^^^^^^^^^^^^^^^^^^
                           I don't understand what this is.  Please refer to the original request in comment 1.

OC_DEVICE_ID1, PCI ID 0x702
OC_DEVICE_ID2, PCI ID 0x703
                          ^should be 0x704


Please reference the Model Names (tigershark is an internal code name)

The correct Model name that should be deprecated is OCe1100x OneConnect UCNA Adapters.
0700	OneConnect 10Gb NIC	
0702	OneConnect 10Gb iSCSI Initiator	
0704	OneConnect 10Gb FCoE Initiator
Comment 7 Maurizio Lombardi 2016-04-04 14:13:50 EDT
Laurie,

look at this patch: http://www.spinics.net/lists/linux-scsi/msg87182.html

diff --git a/drivers/scsi/be2iscsi/be_mgmt.c b/drivers/scsi/be2iscsi/be_mgmt.c
index ca4016f..ac08adb 100644
--- a/drivers/scsi/be2iscsi/be_mgmt.c
+++ b/drivers/scsi/be2iscsi/be_mgmt.c
@@ -1535,7 +1535,8 @@ beiscsi_adap_family_disp(struct device *dev, struct device_attribute *attr,
 	case BE_DEVICE_ID1:
 	case OC_DEVICE_ID1:
 	case OC_DEVICE_ID2:
-		return snprintf(buf, PAGE_SIZE, "BE2 Adapter Family\n");
+		return snprintf(buf, PAGE_SIZE, "Obsolete/Unsupported "
+						"BE2 Adapter Family\n");
 		break;

you see that those 3 IDs "BE_DEVICE_ID1, OC_DEVICE_ID1 and OC_DEVICE_ID2" are going to be marked as deprecated.

In the drivers/scsi/be2iscsi/be_main.h file they are defined as:

/* DEVICE ID's for BE2 */
#define BE_DEVICE_ID1           0x212
#define OC_DEVICE_ID1           0x702
#define OC_DEVICE_ID2           0x703
Comment 8 Laurie Barry 2016-04-04 15:04:25 EDT
Ok those must be some devices that are legacy Server Engines.

0702 is the only iSCSI device I'm aware of.

Ketan - would you please comment should all of these id's be referenced for deprecating the BE2 ASIC/Adapter support in RHEL?

thx
Laurie
Comment 9 Ketan Mukadam 2016-04-05 01:27:58 EDT
Laurie,

All the three IDs correspond to BE2 adapter family. 

0x212 are older generic BE2 adapters (Emulex OneConnect 10Gb iSCSI Initiator (generic))

0x702 are OCx10101/OCx10102 BE2 adapter family (x = e or m)

0x703 are OCe10100 BE2 adapter family. 

Ketan
Comment 10 Laurie Barry 2016-04-05 08:36:12 EDT
Thank you Ketan.  

Approved from Broadcom ECD.
Laurie
Comment 11 Maurizio Lombardi 2016-06-01 09:49:37 EDT
Hi Ketan, we are going to write this in the documentation:

The following controllers from the be2iscsi driver have been deprecated:

* Emulex OneConnect 10Gb iSCSI Initiator (generic), PCI ID 0x212
* OCe10101, OCm10101, OCe10102, OCm10102 BE2 adapter family, PCI ID 0x702
* OCe10100 BE2 adapter family, PCI ID 0x703

Is it correct?
Comment 12 Ketan Mukadam 2016-06-02 00:28:13 EDT
(In reply to Maurizio Lombardi from comment #11)
> Hi Ketan, we are going to write this in the documentation:
> 
> The following controllers from the be2iscsi driver have been deprecated:
> 
> * Emulex OneConnect 10Gb iSCSI Initiator (generic), PCI ID 0x212
> * OCe10101, OCm10101, OCe10102, OCm10102 BE2 adapter family, PCI ID 0x702
> * OCe10100 BE2 adapter family, PCI ID 0x703
> 
> Is it correct?

Yes that is correct

Note You need to log in before you can comment on or make changes to this bug.